export default class Location {
    readonly lat: number;
    readonly lon: number;
    readonly elevation: number;
    private readonly location;
    private prefixesNorthSouth;
    private prefixesEastWest;
    constructor(lat: number, lon: number, elevation?: number);
    getLatitude(): number;
    getLongitude(): number;
    getLatitudeInDegreeMinutes(): string;
    getLongitudeInDegreeMinutes(): string;
    getLatitudeInDegreeMinutesSeconds(): string;
    getLongitudeInDegreeMinutesSeconds(): string;
    getElevation(): number;
    getDistanceToInKm(location: Location): number;
}
