import { EclipticSphericalCoordinates } from '../../coordinates/types/CoordinateTypes';
import { Quantities } from '../types/CalculationTypes';
import { SelenographicLocation } from '../types/LocationTypes';
export declare function getSelenographicLocation(coords: EclipticSphericalCoordinates, T: number): SelenographicLocation;
export declare function getOpticalSelenographicLocation(coords: EclipticSphericalCoordinates, T: number): SelenographicLocation;
export declare function getPhysicalSelenographicLocation(coords: EclipticSphericalCoordinates, T: number): SelenographicLocation;
export declare function getQuantities(T: number): Quantities;
export declare function getSunrise(selenographicLocation: SelenographicLocation, T: number): Promise<number>;
export declare function getSunAltitude(selenographicLocation: SelenographicLocation, selenographicLatOfSun: number, c0: number): number;
