import Location from '../earth/Location';
import LocalCircumstances from './LocalCircumstances';
import { BesselianElements } from './types/besselianElementsTypes';
export default class SolarEclipse {
    private besselianElements;
    constructor(besselianElements: BesselianElements);
    getBesselianElements(): BesselianElements;
    getLocationOfGreatestEclipse(): Location;
    getLocalCircumstances(location: Location): LocalCircumstances;
}
