import { LocalHorizontalCoordinates } from '../../coordinates/types/CoordinateTypes';
import { Location } from '../../earth/types/LocationTypes';
import { SolarEclipseType } from '../constants/solarEclipseTypes';
import { BesselianElements } from '../types/besselianElementsTypes';
import { TimeLocationCircumstances } from '../types/circumstancesTypes';
export declare function getEclipseType(circumstances: TimeLocationCircumstances): SolarEclipseType;
export declare function getMaximumEclipse(circumstances: TimeLocationCircumstances): number;
export declare function getMagnitude(circumstances: TimeLocationCircumstances): number;
export declare function getMoonSunRatio(circumstances: TimeLocationCircumstances): number;
export declare function getObscuration(circumstances: TimeLocationCircumstances): number;
export declare function getTopocentricHorizontalCoordinates(besselianElements: BesselianElements, circumstances: TimeLocationCircumstances, location: Location): LocalHorizontalCoordinates;
