"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const solarEclipseList_1 = require("./constants/solarEclipseList");
function solarEclipseExists(toi) {
    if (!toi) {
        return false;
    }
    const jd0 = toi.getJulianDay0();
    return solarEclipseList_1.SOLAR_ECLIPSES.includes(jd0);
}
exports.default = solarEclipseExists;
