export type AnglePrefixes = {
    positivePrefix: string;
    negativePrefix: string;
};
export declare function deg2rad(degrees: number): number;
export declare function rad2deg(radians: number): number;
export declare function deg2angle(deg: number, short?: boolean): string;
export declare function decimal2degreeMinutes(decimal: number, short?: boolean, prefixes?: AnglePrefixes): string;
export declare function decimal2degreeMinutesSeconds(decimal: number, short?: boolean, prefixes?: AnglePrefixes): string;
export declare function angle2deg(angle: string): number;
export declare function deg2time(angle: number): string;
export declare function time2deg(timeAngle: string): number;
export declare function normalizeAngle(degrees: number, baseAngle?: number): number;
export declare function sec2deg(seconds: number): number;
