import Location from '../earth/Location';
import ObservationalCircumstances from './ObservationalCircumstances';
import { BesselianElements } from './types/besselianElementsTypes';
export default class LocalCircumstances {
    private besselianElements;
    private location;
    constructor(besselianElements: BesselianElements, location: Location);
    getObservationalCircumstancesForC1(): ObservationalCircumstances;
    getObservationalCircumstancesForC2(): ObservationalCircumstances;
    getObservationalCircumstancesForMaxEclipse(): ObservationalCircumstances;
    getObservationalCircumstancesForC3(): ObservationalCircumstances;
    getObservationalCircumstancesForC4(): ObservationalCircumstances;
}
