import { SolarEclipseType } from './constants/solarEclipseTypes';
import { TimeLocationCircumstances } from './types/circumstancesTypes';
export default class ObservationalCircumstances {
    private circumstances;
    constructor(circumstances: TimeLocationCircumstances);
    getEclipseType(): SolarEclipseType;
    getMagnitude(): number;
    getMoonSunRatio(): number;
    getObscuration(): number;
}
