"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const observationalCircumstancesCalc_1 = require("./calculations/observationalCircumstancesCalc");
class ObservationalCircumstances {
    constructor(circumstances) {
        this.circumstances = circumstances;
    }
    getEclipseType() {
        return (0, observationalCircumstancesCalc_1.getEclipseType)(this.circumstances);
    }
    getMagnitude() {
        return (0, observationalCircumstancesCalc_1.getMagnitude)(this.circumstances);
    }
    getMoonSunRatio() {
        return (0, observationalCircumstancesCalc_1.getMoonSunRatio)(this.circumstances);
    }
    getObscuration() {
        return (0, observationalCircumstancesCalc_1.getObscuration)(this.circumstances);
    }
}
exports.default = ObservationalCircumstances;
