"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.populateD = exports.populate = void 0;
function populate(data, t) {
    let result = 0.0;
    data.forEach((n, key) => {
        result += n * Math.pow(t, key);
    });
    return result;
}
exports.populate = populate;
function populateD(data, t) {
    let result = 0.0;
    data.forEach((n, key) => {
        if (key >= 1) {
            result += key * n * Math.pow(t, key - 1);
        }
    });
    return result;
}
exports.populateD = populateD;
