import { Location } from '../../earth/types/LocationTypes';
import { BesselianElements } from '../types/besselianElementsTypes';
import { TimeCircumstances, TimeLocationCircumstances } from '../types/circumstancesTypes';
export declare function getTimeCircumstances(besselianElements: BesselianElements, t: number): TimeCircumstances;
export declare function getTimeLocationCircumstances(besselianElements: BesselianElements, location: Location, t: number): TimeLocationCircumstances;
export declare function circumstancesToJulianDay(besselianElements: BesselianElements, circumstances: TimeLocationCircumstances): number;
