import { AstronomicalObjectConstructor } from '../astronomicalObject/interfaces/AstronomicalObjectInterfaces';
import { Location } from '../earth/types/LocationTypes';
export declare function getTransit(ObjConstructor: AstronomicalObjectConstructor, location: Location, jd0: number): Promise<number>;
export declare function getRise(ObjConstructor: AstronomicalObjectConstructor, location: Location, jd0: number, h0: number): Promise<number>;
export declare function getSet(ObjConstructor: AstronomicalObjectConstructor, location: Location, jd0: number, h0: number): Promise<number>;
